package com.gct.edge.actuator.controller;

import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.AoidGkModel;
import com.gct.edge.actuator.service.AoidGkModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * class name: AoidGkModelController
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/13 下午2:27 周一
 */
@RestController
@RequestMapping("/config/modelLib")
public class AoidGkModelController {
    @Autowired
    AoidGkModelService aoidGkModelService;


    @GetMapping("/getModelDataListPage")
    public Result getModelDataListPage(@RequestParam("moduleKey") String modulekey,
                                                         @RequestParam("pageSize") int pageSize,
                                                         @RequestParam("pageNum") int pageNum){
        return Result.ok(aoidGkModelService.getModelDataListPage(modulekey,pageSize,pageNum));
    }

    @PostMapping("/saveAoidGkModelLib")
    public Result saveAoidGkModelLib(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidGkModelService.saveAoidGkModelLib(jsonObject));
    }

    @PostMapping("/editAoidGKModelLib")
    public Result editAoidGKModelLib(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidGkModelService.editAoidGKModelLib(jsonObject));
    }
    @PostMapping("/copyAoidGkModelLib")
    public Result copyAoidGkModelLib(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidGkModelService.copyAoidGkModelLib(jsonObject));
    }

    @PostMapping("/deleteAoidGkModelLib")
    public Result deleteAoidGkModelLib(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidGkModelService.deleteAoidGkModelLib(jsonObject));
    }
    @GetMapping("/downloadModelInfo")
    public Result downloadModelInfo(@RequestParam("moduleKey") String modulekey){
        return Result.ok(aoidGkModelService.downloadModelInfo(modulekey));
    }
}
