package com.gct.edge.actuator.controller;


import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.service.AoidSinglewellConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/config/singleWell")
public class AoidSinglewellConfigController {

    @Autowired
    private AoidSinglewellConfigService aoidSingleWellConfigService;

    @GetMapping("/getMostNewSingleWellConfig")
    public Result getMostNewSingleWellConfig(@RequestParam("moduleKey") String moduleKey,@RequestParam("releaseVersion") String releaseVersion) {
        return Result.ok(aoidSingleWellConfigService.getSingleWellConfigs(moduleKey ,releaseVersion));
    }

    @PostMapping("/addSingleWellConfig")
    public Result addSingleWellConfig(@RequestBody JSONObject jsonObject) {
        return Result.ok(aoidSingleWellConfigService.insertSingleWellConfig(jsonObject));
    }

    @PostMapping("/updateSingleWellConfig")
    public Result updateSingleWellConfig(@RequestBody JSONObject jsonObject) {
        return Result.ok(aoidSingleWellConfigService.updateSingleWellConfig(jsonObject));
    }

    @PostMapping("/editSingleWellConfig")
    public Result editSingleWellConfig(@RequestBody JSONObject jsonObject) {
        return Result.ok(aoidSingleWellConfigService.editSingleWellConfig(jsonObject));
    }

    @GetMapping("/deleteSingleWellConfig")
    public Result deleteSingleWellConfig(@RequestParam("moduleKey") String moduleKey, @RequestParam("proTime") String proTime){

        return Result.ok(aoidSingleWellConfigService.deleteSingleWellConfig(moduleKey, proTime));
    }

    @PostMapping("/copySingleWellConfig")
    public Result copySingleWellConfig(@RequestBody JSONObject jsonObject ){
        return  Result.ok(aoidSingleWellConfigService.copySingleWellConfig(jsonObject));
    }

    @PostMapping("/deleteSingleWellConfig")
    public Result deleteSingleWellConfig(@RequestBody JSONObject jsonObject ){
        return  Result.ok(aoidSingleWellConfigService.deleteSingleWellConfig(jsonObject));
    }

    @GetMapping("/judgeIdExists")
    public Result judgeIdExists(@RequestParam("id") Integer id,@RequestParam("moduleKey") String moduleKey, @RequestParam("proTime") String proTime){

        return Result.ok(aoidSingleWellConfigService.judgeIdExists(id,moduleKey , proTime));
    }

}
