package com.gct.edge.actuator.controller;

import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.DgnsGtcardLib;
import com.gct.edge.actuator.service.DgnsGtcardLibService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

/**
 * class name: DgnsGtcardLibController
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/13 下午2:22 周一
 */
@RestController
@RequestMapping("/config/cardLib")
public class DgnsGtcardLibController {

    @Autowired
    DgnsGtcardLibService dgnsGtcardLibService;

    @GetMapping("/getDgnsCardLibListPage")
    public Result getDgnsCardLibListPage(@RequestParam("moduleKey") String moduleKey ,
                                                          @RequestParam("pageSize") int pageSize,
                                                          @RequestParam("pageNum") int pageNum,
                                                          @RequestParam("result") String result){
        return Result.ok(dgnsGtcardLibService.getDgnsCardLibListPage(moduleKey,pageSize,pageNum,result));
    }

    @PostMapping("/saveDgnsCardLib")
    public Result saveDgnsCardLib(@RequestBody JSONObject jsonObject){
        return Result.ok(dgnsGtcardLibService.saveDgnsCardLib(jsonObject));
    }

    @PostMapping("/editCardLib")
    public Result editCardLib(@RequestBody JSONObject jsonObject){
        return Result.ok(dgnsGtcardLibService.editCardLib(jsonObject));
    }
    @PostMapping("/copyCardLib")
    public Result copyCardLib(@RequestBody JSONObject jsonObject){
        return Result.ok(dgnsGtcardLibService.copyCardLib(jsonObject));
    }
    @PostMapping("/deleteCardLib")
    public Result deleteCardLib(@RequestBody JSONObject jsonObject){
        return Result.ok(dgnsGtcardLibService.deleteCardLib(jsonObject));
    }

    @GetMapping("/downloadCardlibInfo")
    public Result downloadCardlibInfo(@RequestParam("moduleKey") String moduleKey,
                                         @RequestParam("result") String result){
        return Result.ok(dgnsGtcardLibService.downloadCardlibInfo(moduleKey,result));
    }
}
