package com.gct.edge.actuator.controller;

import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.service.GtcvrRuntimeConfigService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * class name: aoidConfigDataController
 *
 * @author 王森玉
 * @version 1.0
 * @since 2021/12/6
 */
@RestController
@RequestMapping("/GtCvrRuntimeConfig")
public class GtcvrRuntimeConfigController {

    @Autowired
    GtcvrRuntimeConfigService gtcvrRuntimeConfigService;


    @ApiOperation(value = "SaveGtCvrRuntimeConfig(保存全局配置表)", notes = "保存全局配置表")
    @PostMapping("/SaveGtCvrRuntimeConfig")
    public Result SaveGtcvrRuntimeConfig(@RequestBody JSONObject jsonObject) {
        return Result.ok(gtcvrRuntimeConfigService.SaveGtcvrRuntimeConfig(jsonObject));
    }


    @ApiOperation(value = "getMostNewGtCvrRuntimeConfig(根据modelkey获取最新的全局配置表)", notes = "根据modelkey获取最新的全局配置表")
    @GetMapping("/getMostNewGlobalConfig")
    public Result getMostNewGtcvrRuntimeConfig(@RequestParam("moduleKey") String moduleKey,@RequestParam("releaseVersion") String releaseVersion) {
        return Result.ok(gtcvrRuntimeConfigService.getMostNewGtCvrRuntimeConfig(moduleKey,releaseVersion ));
    }

    @ApiOperation(value = "copy全局配置", notes = "copy全局配置")
    @PostMapping("/copyGlobalConfig")
    public Result copyGlobelConfig(@RequestBody JSONObject jsonObject){
        Map<String, Object> map = gtcvrRuntimeConfigService.copyGlobalConfig(jsonObject);
        return Result.ok(map);
    }

    @ApiOperation(value = "delete全局配置", notes = "delete全局配置")
    @GetMapping("/deleteGlobalConfig")
    public Result copyGlobelConfig(@RequestParam String moduleKey, @RequestParam String proTime){
        return Result.ok( gtcvrRuntimeConfigService.deleteGlobalConfig(moduleKey, proTime));
    }
}
