package com.gct.edge.actuator.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.common.util.DateTimeUtil;
import com.gct.edge.actuator.entity.AoidConfigData;
import com.gct.edge.actuator.service.AoidConfigDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.lang.reflect.InvocationTargetException;
import java.sql.ResultSet;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * class name: aoidConfigDataController
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/1 下午2:35 周三
 */
@RestController
@RequestMapping("/config/aoidConfig")
public class aoidConfigDataController {

    @Autowired
    AoidConfigDataService aoidConfigDataService;

    @GetMapping("/getAoidConfigDataList")
    public Result getAoidConfigDataList(@RequestParam("moduleKey") String moduleKey , @RequestParam("proTime")String proTime){
       return Result.ok(aoidConfigDataService.getAoidConfigDataList(moduleKey,proTime));
    }

    @PostMapping("/addAoidConfigData")
    public Result addAoidConfigData(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidConfigDataService.addAoidConfigData(setAoidConfigData(jsonObject)));
    }

    @PostMapping("/addAoidConfigDataWithList")
    public Result addAoidConfigDataWithList(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidConfigDataService.addAoidConfigDataWithList(setAoidConfigData(jsonObject)));
    }

    @PostMapping("/editAoidConfigData")
    public Result editAoidConfigData(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidConfigDataService.editAoidConfigData(setAoidConfigData(jsonObject)));
    }

    @GetMapping("/deleteAoidConfigData")
    public Result deleteAoidConfigData(@RequestParam("moduleKey") String moduleKey ,@RequestParam("relseaseVsersion") String proTime){
        return Result.ok(aoidConfigDataService.deleteAoidConfigData(moduleKey,proTime));
    }

    @PostMapping("/copyAoidConfigData")
    public Result copyAoidConfigData(@RequestBody JSONObject jsonObject){
        Map<String, String> sourceModule = (Map<String, String>) jsonObject.get("sourceModule");
        List<String> targetModule = (List<String>) jsonObject.get("targetModule");
        return Result.ok(aoidConfigDataService.copyAoidConfigData(sourceModule,targetModule));
    }

    private AoidConfigData setAoidConfigData(JSONObject jsonObject){
        AoidConfigData aoidConfigData = new AoidConfigData();
        aoidConfigData.setModuleKey(jsonObject.getString("moduleKey"));
        aoidConfigData.setProTime(DateTimeUtil.formatDateTime(jsonObject.getString("proTime").replace("T"," ")));
        aoidConfigData.setJh(jsonObject.getString("jh"));
        aoidConfigData.setBj(jsonObject.getDoubleValue("bj"));
        aoidConfigData.setBs(jsonObject.getDoubleValue("bs"));
        aoidConfigData.setHsl(jsonObject.getDoubleValue("hsl"));
        aoidConfigData.setSmd(jsonObject.getDoubleValue("smd"));
        aoidConfigData.setYmd(jsonObject.getDoubleValue("ymd"));
        aoidConfigData.setQyb(jsonObject.getDoubleValue("qyb"));
        aoidConfigData.setDym(jsonObject.getDoubleValue("dym"));
        aoidConfigData.setYy(jsonObject.getDoubleValue("yy"));
        aoidConfigData.setTy(jsonObject.getDoubleValue("ty"));
        aoidConfigData.setHy(jsonObject.getDoubleValue("hy"));
        aoidConfigData.setTotalgtnum(jsonObject.getIntValue("totalgtnum"));
        return aoidConfigData;
    }
}
