package com.gct.edge.actuator.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gct.edge.actuator.exception.ObjectParseException;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.lang.reflect.InvocationTargetException;
import java.time.LocalDateTime;

/**
 * @author xusirui 2021/10/26
 */
@Data
public class AoidProdState extends Model<AoidProdState> implements FileParseObject {

    private static final long serialVersionUID = 1L;
    /**
     * shard key
     */
    @ApiModelProperty(value = "id")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "分库分表所需key")
    private String moduleKey;

    @ApiModelProperty(value = "井号")
    private String wellId;

    @ApiModelProperty(value = "实时时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime proTime;

    @ApiModelProperty(value = "冲程")
    private Integer prodState;


    @Override
    public void initFromTxtRow(String[] objFields) throws ObjectParseException, NoSuchMethodException, InvocationTargetException, IllegalAccessException, InstantiationException {
        //记录txt文件中的数据对应的类名及类型 与单列数据split后的含义一致
        final String[] colName = {
                "wellId", "proTime", "prodState"
        };
        final String[] colType = {
                "String", "LocalDateTime", "Integer"
        };
        initFromTxtRow(objFields, colName, colType);
    }


}
