package com.gct.edge.actuator.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gct.common.util.CalGtSimilar;
import com.gct.common.util.SGTUtil;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * class name: DgnsGtcardLib
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/13 下午2:15 周一
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DgnsGtcardLib对象", description = "")
public class DgnsGtcardLib implements ObjectParseFile {
    private String moduleKey;
    private LocalDateTime proTime;
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    private String wellId;
    private String proDate;
    private String tvec;
    private String indicatorDiagram;
    private String result;
    private String jh;
    private int effectonjh;
    private int effectonqk;
    private int effectonall;
    private double maxload;
    private double minload;
    private double dload;
    private String createTime;
    private int code;

    @Override
    public String toFileRowString() {
        CalGtSimilar calGtSimilar = new CalGtSimilar();
        Double[] grays = calGtSimilar.tryCalGray(SGTUtil.encodeToUseList(indicatorDiagram));
        StringBuilder sb = new StringBuilder();
        if (grays == null || grays.length != 48)
            sb.append("0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0");
        else {
            for (Double gray : grays) sb.append(String.format("%.6f", gray)).append(',');
            sb.deleteCharAt(sb.length()-1);
        }
        tvec = sb.toString();
        return id + "|" + wellId + "|" + proDate + "|" + tvec + "|" + indicatorDiagram + "|" + result + "|" + jh + "|" + effectonjh + "|" + effectonqk + "|" + effectonall + "|" + maxload + "|" + minload + "|" + dload + "|" + createTime + "|3";// + code;
    }
}
