package com.gct.edge.actuator.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gct.edge.actuator.exception.ObjectParseException;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.lang.reflect.InvocationTargetException;
import java.time.LocalDateTime;

/**
 * @author wsy 2021/12/06
 */
@Data
public class GtcvrRuntimeConfig implements ObjectParseFile {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分组Id")
    @TableField(exist = false)
    private String groupId;


    @ApiModelProperty(value = "分库分表所需key")
    private String moduleKey;


    @ApiModelProperty(value = "实时时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime proTime;


    @ApiModelProperty(value = "地址")
    private String host;

    @ApiModelProperty(value = "端口号")
    private String port;


    @ApiModelProperty(value = "序列号")

    private String slaveCodeList;



    @ApiModelProperty(value = "存储单元上限值")
    private Double maxLine;



    @ApiModelProperty(value = "存储单元保留值")
    private Double minLine;



    @ApiModelProperty(value = "工作线程刷新频率-s")
    private Double workInterval;



    @ApiModelProperty(value = "存储空间监控线程工作频率-s")
    private Double freeInterval;



    @ApiModelProperty(value = "导出命令")
    private Double dumpCommand;

    @ApiModelProperty(value = "內容文本")
    private String contentText;

    @Override
    public String toFileRowString() {
        return contentText;
    }
}
