package com.gct.edge.actuator.remoteDataStruct;

import com.gct.edge.actuator.remoteDataStruct.SqlGenerate;

import java.lang.reflect.Field;

/**
 * @author xusirui 2021/11/23
 */
public class MethodGenerate {

    public static String parseFromMapMethod(Class clz) {

        StringBuilder sb = new StringBuilder();
        String clzName = SqlGenerate.getLastString(clz.getName());
        sb.append("void ").append(clzName).append("::").append("parse_from_map(result_map &resultMap){\n");
        Field[] fields = clz.getDeclaredFields();
        for (int i = 0; i < fields.length; i++) {
            String fieldName = SqlGenerate.getLastString(fields[i].getName());
            String typeName = SqlGenerate.getLastString(fields[i].getType().getTypeName());
            if (!typeName.equals("String")) {
                sb.append("\t\t").append(fieldName).append(" = ").
                        append(String.format("resultMap[\"%s\"].empty()?0:std::%s(resultMap[\"%s\"]);\n",
                                fieldName, typeName.equals("double") ? "stod" : "stoi", fieldName));
            } else {
                sb.append("\t\t").append(fieldName).append(" = ").append("resultMap[\"").append(fieldName).append("\"];\n");
            }

        }
        sb.append("}");
        return sb.toString();

    }

    public static String insertSqlGenerate(Class clz) {
        StringBuilder sb = new StringBuilder();
        StringBuilder sb2 = new StringBuilder();
        sb.append("insert into ").append(SqlGenerate.getLastString(clz.getName())).append(" value(");
        Field[] fields = clz.getDeclaredFields();
        for (int i = 0; i < fields.length; i++) {
            String typeName = SqlGenerate.getLastString(fields[i].getType().getName());
            String placeTag = "";
            switch (typeName) {
                case "double":
                    placeTag = "%f";
                    break;
                case "String":
                    placeTag = "%s";
                    break;
                case "int":
                    placeTag = "%d";
                    break;
            }
            String name = SqlGenerate.getLastString(fields[i].getName());
            if (placeTag.equals("%s")) {
                placeTag = "'" + placeTag + "'";
                name = name + ".c_str()";
            }
            sb.append(placeTag).append(",");
            sb2.append("data.").append(name).append(",");
            if (i % 5 == 0) sb2.append("\n\t\t");
        }
        sb.deleteCharAt(sb.length() - 1);
        sb.append("),\n");
        sb.append(sb2);
        return sb.toString();
    }

    public static void main(String[] args) {
        for (int i=4;i<=51;i++){
            if (i!=4) System.out.print(",");
            System.out.print("C"+i);
        }
    }
}
