package com.gct.edge.actuator.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.DiagnoseResultRealTime;
import com.gct.edge.base.entity.TableNameEnum;

import java.io.InputStream;
import java.time.LocalDateTime;

/**
 * dec: DiagnoseService
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/10/24 下午2:08
 */
public interface DiagnoseService extends IService<DiagnoseResultRealTime> {

    Result getByDate(String moduleKey, String wellId, String date, Integer curPage, Integer pageSize);

    Result loadDataFromFile(InputStream file, String moduleKey, TableNameEnum tableKey);

    Result deleteResultByTimeRange(String moduleKey, String beginTime, String endTime);

    /**
     * 时间过长会导致数据过多,慎用
     * @param moduleKey
     * @param wellId
     * @param beginDate
     * @param endDate
     * @param splitCount
     * @return
     */
    @Deprecated
    JSONArray getGtOverlayData(String moduleKey, String wellId, String beginDate, String endDate, Integer splitCount);

    Page<DiagnoseResultRealTime> selectPageByCondition(String moduleKey, String wellId, LocalDateTime start, LocalDateTime end, Integer curPage, Integer pageSize);

    JSONObject getGtOverlayDataLazy(String moduleKey, String wellId, String beginDate, String endDate, Integer splitCount, Integer curIndex);
}
