import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.common.util.DateTimeUtil;
import com.gct.edge.actuator.EdgeModuleActuatorApplication;
import com.gct.edge.actuator.entity.DiagnoseResultRealTime;
import com.gct.edge.actuator.entity.FileParseObject;
import com.gct.edge.actuator.entity.GtcvrRuntimeConfig;
import com.gct.edge.actuator.service.DiagnoseService;
import com.gct.edge.actuator.service.GtcvrRuntimeConfigService;
import com.gct.edge.actuator.util.DataTranslator;
import com.gct.edge.base.entity.TableNameEnum;
import lombok.experimental.Accessors;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;
import java.time.LocalDateTime;
import java.util.Arrays;
import java.util.List;

/**
 * @author xusirui 2021/10/27
 */
@Slf4j
@SpringBootTest(classes = EdgeModuleActuatorApplication.class)
@RunWith(SpringRunner.class)
@ContextConfiguration
public class ActuatorTest {

    @Autowired
    DiagnoseService diagnoseService;
    @Autowired
    GtcvrRuntimeConfigService gtcvrRuntimeConfigService;

    @Test
    public void loadDataTest(){
        GtcvrRuntimeConfig gtcvrRuntimeConfig = new GtcvrRuntimeConfig();
        gtcvrRuntimeConfig.setModuleKey("module4");
        gtcvrRuntimeConfig.setProTime(DateTimeUtil.formatDateTime("2021-12-05 00:00:00"));
//        gtcvrRuntimeConfigService.SaveGtcvrRuntimeConfig(gtcvrRuntimeConfig);
    }


    @Test
    public void testQueryDaya(){
        diagnoseService.list(new QueryWrapper<DiagnoseResultRealTime>()
                .in("module_key", Arrays.asList("module1","module2"))
                .eq("pro_time", DateTimeUtil.formatDateTime("2021-10-01 00:00:00")));
    }
}
