create table if not exists aoid_config_data( 
jh text primary key,
bj real,
bs real,
hsl real,
smd real,
ymd real,
qyb real,
dym real,
yy real,
ty real,
hy real,
totalgtnum integer);

create table if not exists aoid_daily_yield( 
well_common_name text,
well_id text,
prod_date text,
liq_prod_daily real,
oil_prod_daily real,
water_prod_daily real,
gas_prod_daily real,
bx real,
llpl real,
prod_time real,
clxs real,
stroke real,
frequence real,
water_cut real,
bj real,
bs real,
cmd real,
yz real,
scsj real,
yy real,
hy real,
ty real,
bz text,
sfyc real,
dym real,
rcy2 real,
rcu2 real,
rcs2 real,
a2_liq_prod_daily real,
a2_oil_prod_daily real,
a2_water_prod_daily real,
yxgts real,
errorgts real,
zdjg text,
djdy real,
zyq text,
jlz text,
hjwd real,
ybdl real,
sbh text,
xhqd real,
yl real,
rzbz text);

create unique index if not exists aoid_daily_yield_well_id_prod_date_uindex on aoid_daily_yield (well_id,prod_date);

create table if not exists aoid_gk_model( 
gkxs real,
result text);

create table if not exists aoid_singlegt_yield( 
well_id text,
well_common_name text,
prod_date text,
stroke real,
frequence real,
bj real,
bs real,
cmd real,
yzzj real,
sxzh real,
xxzh real,
sgt text,
bgt text,
zdjg text,
refrencewell_id text,
refrencecjsj text,
liq_prod_daily real,
oil_prod_daily real,
gas_prod_daily real,
eczdjg text,
bx real,
hsl real,
flag real,
bdxs real,
llpl real,
zcc real,
ycc real,
sjcc real,
yxcc real,
ccss real,
lsss real,
gyss real,
pumpdepth real,
hy real,
yy real,
ty real,
water_prod_daily real,
refrencesgt text,
scsj real,
qyb real,
stroke_ratio real,
djdy real,
hjwd real,
ybdl real,
xhqd real,
sbh text);

create unique index if not exists aoid_singlegt_yield_well_id_prod_date_uindex on aoid_singlegt_yield (well_id,prod_date);

create table if not exists aoid_singlewell_config( 
id real primary key,
gradient_1 real,
gradient_2 real,
gradient_3 real,
gradient_4 real,
gradient_5 real,
gradient_6 real,
gradient_7 real,
gradient_8 real,
gradient_9 real,
gradient_10 real,
dividenum_1 real,
dividenum_2 real,
dividenum_3 real,
dividenum_4 real,
dividenum_5 real,
dividenum_6 real,
dividenum_7 real,
dividenum_8 real,
dividenum_9 real,
dividenum_10 real);

create table if not exists dgns_gtbaseparam( 
id text,
createtime text,
recivetime text,
wellname text,
sgt text,
s_max real,
s_min real,
l_max real,
l_min real,
l_mid real,
l_fistdownturnpoint real,
s real,
s_pre real,
n real,
l real,
s_effect real,
area real,
upload real,
download real,
islegal integer,
remark text,
sgtpointnum integer,
s_max_point_location integer,
s_min_point_location integer,
l_max_point_location integer,
l_min_point_location integer);

create unique index if not exists dgns_gtbaseparam_wellname_recivetime_uindex on dgns_gtbaseparam (wellname,recivetime);

create table if not exists dgns_gtcard_lib( 
id text primary key,
well_id text,
pro_date text,
tvec text,
indicator_diagram text,
result text,
jh text,
effectonjh integer,
effectonqk integer,
effectonall integer,
maxload real,
minload real,
dload real,
create_time text,
code integer);

create table if not exists dgns_gtcvrparam( 
paramid integer primary key,
paramitemname text,
paramcontent text);

create table if not exists dgns_gtcvrresult( 
id text,
result1 text,
result2 text,
wellname text,
sgt text,
processparam text,
remark text,
createtime text,
userconfirmtime text,
userconfirmcontent text,
isproblem text,
isexpected integer);

create table if not exists dgns_gtgktype( 
id integer primary key,
gkname text,
dec text,
modbustranscode text,
remark text);

create table if not exists dgns_gtmloutcode( 
gkcode integer,
gkdec text);

create table if not exists dgns_gtserverrunlog( 
time text,
contents text,
item text,
code integer);

create table if not exists dgns_gtstandard( 
sgtprodate text,
createtime text,
id text,
future text,
appearcounter integer,
graphicfeatureinterpretation text,
maxsemblance real,
minsemblance real,
wellname text,
latestupdatedtime text);

create unique index if not exists dgns_gtstandard_wellname_sgtprodate_uindex on dgns_gtstandard (wellname,sgtprodate);

